The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

OpenSSL & IonCube incompatiable?

Discussion in 'General Discussion' started by ClearSky, Apr 10, 2006.

  1. ClearSky

    ClearSky Well-Known Member

    Joined:
    Jul 9, 2003
    Messages:
    51
    Likes Received:
    0
    Trophy Points:
    6
    Hi all,

    So lately, I've had a problem with SSL on a server. I did some more digging rouna dand I think I've isolated the problem being one with OpenSSL and IonCube.

    In WHM, on the news page it doesn't fully show the server software version info, it stops right before OpenSSL, which led me to believe a problem with OpenSSL existed.

    I updated apache and made sure I selected OpenSSL and the other SSL option, and rebuilt. Now SSL worked!

    But, ioncube loader was not installed anymore. So I went into tweak settings and turned on ioncube loader, and it acted like it wasn't there.

    So I go into the php.ini and and find that the zend_extension for it is back to it's default of being commented out and pointing to the zend one. I change it back to Ioncube. And OpenSSL breaks.

    This is where I stand. I can rebuild apache again via the script, with OpenSSL checked. SSL will work again as before, but IonCube won't be installed. If I got install IonCube it will break OpenSSL. I'm pretty stumped on this one, any suggestions anyone?
     
Loading...

Share This Page